Subject: IPv6 Routing Headers

From: Bob Hinden <[email-masked]>
Date: Wed, 19 Feb 2020 13:45:47 -0800

Hi,

Given the discussion on new routing headers, I wanted to point out a few things.

The Routing Header extension header is defined in RFC8200, Section 4.4 Routing Header

    https://tools.ietf.org/html/rfc8200#page-14

It includes a Routing Type field that is 8-bits long.   The data in the data part of the a RH is specific to the Routing Type.  RFC8200 does not specify if that is IPv6 addresses or something else.

The current assignments can be found in this IANA registry:

https://www.iana.org/assignments/ipv6-parameters/ipv6-parameters.xhtml#ipv6-parameters-3

Currently there are five assignments, two of which are Deprecated.  Values 5-252 are Unassigned, there are two experimental values assigned, and one reserved (255).

All of this allows for a lot of flexibility, what should be standardized is a different question.

Hope this is helpful.

Bob